%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		alacarte
Version:	0.12.4
Release:	2
Summary:	Simple menu editor for GNOME
Group:		Tools
License:	GNU/GPL
URL:		http://www.realistanew.com/projects/alacarte/
Source0:	http://dev.realistanew.com/alacarte/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python26-devel, intltool, gettext
BuildRequires:  	python26-pygtk-devel
BuildRequires:  	pkg-config
BuildRequires:		gnome-menus-devel desktop-file-utils

Requires: 		python26-pygtk, gnome-python-gconf 
Requires:		gnome-menus

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly. 
Just click and type to edit, add, and delete any menu entry.

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --delete-original --dir $RPM_BUILD_ROOT%_applications --add-only-show-in=GNOME --remove-key=NotShowIn $RPM_BUILD_ROOT%_applications/alacarte.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{python_sitelib}/Alacarte
%_bindir
%_applications
%_datadir/alacarte
%_datadir/icons

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.12.4-2
- only show alacarte in GNOME
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.12.4-1
- Version update
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 0.11.10-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 0.11.5-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 0.11.3-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.1-1
- Initial release